1

I am trying to migrate a Drupal 7 site to Drupal 8, however, I keep getting this error;

Resolve all issues below to continue the upgrade. The d6_library_transaction plugin must define the source_module property.

Not sure where to define this. I have looked in the Library module folder and the Migrate module folder.

Any help is appreciated.

  • The d6_library_transaction plugin why are you using something built for D6 on D7 to D8... – No Sssweat Feb 13 at 7:56
  • dev.idlboise.com is the website I am trying to take to Drupal 8 so I have access to more features. We use the Library Module (drupal.org/project/library) since D6 and have patched it along the way. It's the only module to my knowledge that lets you have a library function on your website. We are a non-profit research and consulting firm for energy efficiency building(s). One of our programs is that we "loan" diagnostic tools for identifying energy efficient measures or equipment in buildings. – Dylan Mar 5 at 18:36

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.